#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	Abstraction library that comes between applications and audio visualisation plugins
Summary(pl.UTF-8):	Abstrakcyjna biblioteka pomiędzy aplikacjami a wtyczkami wizualizacji audio
Name:		libvisual
Version:	0.4.2
Release:	1%{?tld}
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://github.com/Libvisual/libvisual/releases
Source0:	https://github.com/Libvisual/libvisual/releases/download/%{name}-%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	be428534ab46f72d006eb11a799465a6
Patch0:		%{name}-link.patch
Patch1:		%{name}-NULL.patch
URL:		http://libvisual.org/
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	autoconf >= 2.57
BuildRequires:	autoconf-archive
BuildRequires:	automake >= 1:1.7
BuildRequires:	gettext-tools >= 0.19
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig >= 1:0.14
Obsoletes:	libvisual-tools < 0.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Abstraction library that comes between applications and audio
visualisation plugins.

%description -l pl.UTF-8
Abstrakcyjna biblioteka pomiędzy aplikacjami a wtyczkami wizualizacji
audio.

%package devel
Summary:	Header files for libvisual library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libvisual
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libvisual library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libvisual.

%package static
Summary:	Static libvisual library
Summary(pl.UTF-8):	Statyczna biblioteka libvisual
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libvisual library.

%description static -l pl.UTF-8
Statyczna biblioteka libvisual.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/libvisual-0.4

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libvisual-0.4.la

# unify
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{es_ES,es}

%find_lang %{name}-0.4

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}-0.4.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/lv-tool-0.4
%attr(755,root,root) %{_libdir}/libvisual-0.4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvisual-0.4.so.0
%dir %{_libdir}/libvisual-0.4
%{_mandir}/man1/lv-tool-0.4.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libvisual-0.4.so
%{_includedir}/libvisual-0.4
%{_pkgconfigdir}/libvisual-0.4.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libvisual-0.4.a
%endif
%changelog
* Sun Dec 03 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libvisual.git;a=log;h=master

* Sun Sep 24 2023 Jan Palus <atler@pld-linux.org> 25414cc
- BR: autoconf-archive for AX_CXX_COMPILE_STDCXX_11

* Sun Sep 24 2023 Jakub Bogusz <qboosh@pld-linux.org> bcb6d76
- new Source URL, updated to 0.4.2

* Sun Sep 24 2023 Jakub Bogusz <qboosh@pld-linux.org> 7a8f61d
- updated to 0.4.1; drop .la file

* Sun Oct 21 2018 Jakub Bogusz <qboosh@pld-linux.org> a5922db
- updated URL

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> de78dcc
- x32 rebuild
- release 8 (by relup.sh)

* Tue Dec 30 2014 Jan Rękorajski <baggins@pld-linux.org> 34196a0
- fix format string errors

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> da8bf6f
- updated gettext BR

* Thu Dec 29 2011 Jakub Bogusz <qboosh@pld-linux.org> d7a728c
- added NULL patch (include <stdlib.h> instead of redefining NULL; the latter broke C++ compilation
- changed URL to working one (on sf.net)
- release 7

* Sun Jul 24 2011 Jakub Bogusz <qboosh@pld-linux.org> e10ac8b
- full ac/am/lt/gt rebuild to kill .la poisoning with builder home
- proper License tag (LGPL v2.1+; only examples and tests are GPLed)
- release 6

* Tue Oct 09 2007 Paweł Gołaszewski <blues@pld-linux.org> 9b81ce7
- rel.5 add directory libvisual-0.4 in this place

* Thu Sep 06 2007 Jan Rękorajski <baggins@pld-linux.org> 9c13785
- rel 4
- no need to regenerate ac/am

* Thu Sep 06 2007 Jan Rękorajski <baggins@pld-linux.org> 3483b34
- rel 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f565ab6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c945023
- converted to UTF-8

* Thu Aug 24 2006 wolf <wolf@pld-linux.org> ccb7b62
- updated URL

* Mon Jun 26 2006 Jakub Bogusz <qboosh@pld-linux.org> ed487bf
- comment about es_AR

* Tue Jun 20 2006 freetz <freetz@pld-linux.org> 324d750
- adios to bogus es_* locale, rel.2

* Wed Mar 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 9a0af69
- Obsoletes: libvisual-tools (present for a while for 0.1.6 snap)

* Wed Mar 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 71c60a4
- dropped ppc patch (altivec detection works when run on fixed kernel)

* Wed Mar 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 97f3299
- dropped, altivec detection works (on fixed kernel)

